Description

We encountered an issue with updating and changing hosts through foreman and after a lengthy debugging session with Ohad we

tracked it down to an issue where the foreman server cannot reach the SOA servers for a domain to check DNS.

This is similar to #1426 but in our use case the SOA records do exist but are blocked off, network wise, from the foreman server.  We

have temporarily fixed this by removing code from def resolver in app/models/domain.rb

For now we're using:

def resolver

    ns = nameservers

    Resolv::DNS.new

  end

 But we'd like a setting of some kind to toggle between reaching out to the SOAs and just relying on the system configured resolvers. 

We also discussed perhaps having a timeout value that falls back on using local resolvers (but should ideally display some kind of

error in the UI so people are aware of what happened - otherwise they will just think 1 minute updates are normal).

Associated revisions

Revision 1f03a563 - 06/21/2012 02:19 AM - Ohad Levy

fixes #1544 - Updating a host fails if you cannot reach the SOA nameservers

History

#1 - 05/06/2012 02:11 PM - Ashley Penney

I just want to confirm this is still an issue in 0.5.

#2 - 05/19/2012 03:12 PM - Ohad Levy

- Target version set to 1.0

#3 - 05/21/2012 08:52 AM - Ohad Levy

this should be extracted to a new setting

#4 - 05/21/2012 08:53 AM - Ohad Levy

- Difficulty set to easy

#5 - 06/21/2012 02:21 AM - Ohad Levy

- Category set to DNS

- Assignee set to Ohad Levy

#6 - 06/21/2012 04:10 AM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

05/11/2024 1/2

https://projects.theforeman.org/issues/1426


Applied in changeset 1f03a563bdabf5c981707eb880f002662b6c1e8e.
